## ruby-re2 2.7.0

=== CMakeLists.txt ===
# Copyright 2015 The RE2 Authors.  All Rights Reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

# https://github.com/google/oss-policies-info/blob/main/foundational-cxx-support-matrix.md
cmake_minimum_required(VERSION 3.13)

project(RE2 CXX)
include(CMakePackageConfigHelpers)
include(CTest)
include(GNUInstallDirs)

option(BUILD_SHARED_LIBS "build shared libraries" OFF)
option(RE2_USE_ICU "build against ICU for full Unicode properties support" OFF)

# For historical reasons, this is just "USEPCRE", not "RE2_USE_PCRE".
option(USEPCRE "build against PCRE for testing and benchmarking" OFF)

# See https://groups.google.com/g/re2-dev/c/P6_NM0YIWvA for details.
# This has no effect unless RE2 is being built for an Apple platform
# such as macOS or iOS.
option(RE2_BUILD_FRAMEWORK "build RE2 as a framework" OFF)

# CMake seems to have no way to enable/disable testing per subproject,
# so we provide an option similar to BUILD_TESTING, but just for RE2.
option(RE2_BUILD_TESTING "enable testing for RE2" OFF)

# The pkg-config Requires: field.
set(REQUIRES)

# ABI version
# http://tldp.org/HOWTO/Program-Library-HOWTO/shared-libraries.html
set(SONAME 11)

set(EXTRA_TARGET_LINK_LIBRARIES)

if(CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
  if(MSVC_VERSION LESS 1920)
    message(FATAL_ERROR "you need Visual Studio 2019 or later")
  endif()
  if(BUILD_SHARED_LIBS)
    set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
  endif()
  # CMake defaults to /W3, but some users like /W4 (or /Wall) and /WX,
  # so we disable various warnings that aren't particularly helpful.
  add_compile_options(/wd4100 /wd4201 /wd4456 /wd4457 /wd4702 /wd4815)
  # Without a byte order mark (BOM), Visual Studio assumes that the source
  # file is encoded using the current user code page, so we specify UTF-8.
  add_compile_options(/utf-8)
endif()

if(WIN32)
  add_definitions(-DUNICODE -D_UNICODE -DSTRICT -DNOMINMAX)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS)
endif()

if(UNIX)
  set(THREADS_PREFER_PTHREAD_FLAG ON)
  find_package(Threads REQUIRED)
endif()

set(ABSL_DEPS
    absl_base
    absl_core_headers
    absl_fixed_array
    absl_flags
    absl_flat_hash_map
    absl_flat_hash_set
    absl_inlined_vector
    absl_optional
    absl_span
    absl_str_format
    absl_strings
    absl_synchronization
    )

# If a top-level project has called add_directory(abseil-cpp) already (possibly
# indirectly), let that take precedence over any copy of Abseil that might have
# been installed on the system. And likewise for ICU, GoogleTest and Benchmark.
if(NOT TARGET absl::base)
  find_package(absl REQUIRED)
endif()
list(APPEND REQUIRES ${ABSL_DEPS})

if(RE2_USE_ICU)
  if(NOT TARGET ICU::uc)
    find_package(ICU REQUIRED COMPONENTS uc)
  endif()
  add_definitions(-DRE2_USE_ICU)
  list(APPEND REQUIRES icu-uc)
endif()

if(USEPCRE)
  add_definitions(-DUSEPCRE)
  list(APPEND EXTRA_TARGET_LINK_LIBRARIES pcre)
endif()

list(JOIN REQUIRES " " REQUIRES)

set(RE2_SOURCES
    re2/bitmap256.cc
    re2/bitstate.cc
    re2/compile.cc
    re2/dfa.cc
    re2/filtered_re2.cc
    re2/mimics_pcre.cc
    re2/nfa.cc
    re2/onepass.cc
    re2/parse.cc
    re2/perl_groups.cc
    re2/prefilter.cc
    re2/prefilter_tree.cc
    re2/prog.cc
    re2/re2.cc
    re2/regexp.cc
    re2/set.cc
    re2/simplify.cc
    re2/tostring.cc
    re2/unicode_casefold.cc
    re2/unicode_groups.cc
    util/rune.cc
    util/strutil.cc
    )

set(RE2_HEADERS
    re2/filtered_re2.h
    re2/re2.h
    re2/set.h
    re2/stringpiece.h
    )

add_library(re2 ${RE2_SOURCES})
target_compile_features(re2 PUBLIC cxx_std_14)
target_include_directories(re2 PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>)
# CMake gives "set_target_properties called with incorrect number of arguments."
# errors if we don't quote ${RE2_HEADERS}, so quote it despite prevailing style.
set_target_properties(re2 PROPERTIES PUBLIC_HEADER "${RE2_HEADERS}")
set_target_properties(re2 PROPERTIES SOVERSION ${SONAME} VERSION ${SONAME}.0.0)
add_library(re2::re2 ALIAS re2)

if(APPLE AND RE2_BUILD_FRAMEWORK)
  set_target_properties(re2 PROPERTIES
                        FRAMEWORK TRUE
                        FRAMEWORK_VERSION A
                        MACOSX_FRAMEWORK_IDENTIFIER com.googlesource.code.re2)
endif()

if(UNIX)
  target_link_libraries(re2 PUBLIC Threads::Threads)
endif()

foreach(dep ${ABSL_DEPS})
  string(REGEX REPLACE "^absl_" "absl::" dep ${dep})
  target_link_libraries(re2 PUBLIC ${dep})
endforeach()

if(RE2_USE_ICU)
  target_link_libraries(re2 PUBLIC ICU::uc)
endif()

if(RE2_BUILD_TESTING)
  if(NOT TARGET GTest::gtest)
    find_package(GTest REQUIRED)
  endif()
  if(NOT TARGET benchmark::benchmark)
    find_package(benchmark REQUIRED)
  endif()

  set(TESTING_SOURCES
      re2/testing/backtrack.cc
      re2/testing/dump.cc
      re2/testing/exhaustive_tester.cc
      re2/testing/null_walker.cc
      re2/testing/regexp_generator.cc
      re2/testing/string_generator.cc
      re2/testing/tester.cc
      util/pcre.cc
      )

  add_library(testing ${TESTING_SOURCES})
  if(BUILD_SHARED_LIBS AND WIN32)
    target_compile_definitions(testing PRIVATE -DRE2_BUILD_TESTING_DLL)
  endif()
  target_compile_features(testing PUBLIC cxx_std_14)
  target_link_libraries(testing PUBLIC re2 GTest::gtest)

  set(TEST_TARGETS
      charclass_test
      compile_test
      filtered_re2_test
      mimics_pcre_test
      parse_test
      possible_match_test
      re2_test
      re2_arg_test
      regexp_test
      required_prefix_test
      search_test
      set_test
      simplify_test
      string_generator_test

      dfa_test
      exhaustive1_test
      exhaustive2_test
      exhaustive3_test
      exhaustive_test
      random_test
      )

  set(BENCHMARK_TARGETS
      regexp_benchmark
      )

  foreach(target ${TEST_TARGETS})
    add_executable(${target} re2/testing/${target}.cc)
    if(BUILD_SHARED_LIBS AND WIN32)
      target_compile_definitions(${target} PRIVATE -DRE2_CONSUME_TESTING_DLL)
    endif()
    target_compile_features(${target} PUBLIC cxx_std_14)
    target_link_libraries(${target} PUBLIC testing GTest::gtest_main ${EXTRA_TARGET_LINK_LIBRARIES})
    add_test(NAME ${target} COMMAND ${target})
  endforeach()

  foreach(target ${BENCHMARK_TARGETS})
    add_executable(${target} re2/testing/${target}.cc)
    if(BUILD_SHARED_LIBS AND WIN32)
      target_compile_definitions(${target} PRIVATE -DRE2_CONSUME_TESTING_DLL)
    endif()
    target_compile_features(${target} PUBLIC cxx_std_14)
    target_link_libraries(${target} PUBLIC testing benchmark::benchmark_main ${EXTRA_TARGET_LINK_LIBRARIES})
  endforeach()
endif()

install(TARGETS re2
        EXPORT re2Targets
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        FRAMEWORK DESTINATION ${CMAKE_INSTALL_LIBDIR}
        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/re2
        INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(EXPORT re2Targets
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/re2
        NAMESPACE re2::)

configure_package_config_file(${CMAKE_CURRENT_SOURCE_DIR}/re2Config.cmake.in
                              ${CMAKE_CURRENT_BINARY_DIR}/re2Config.cmake
                              INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/re2)
write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/re2ConfigVersion.cmake
                                 VERSION ${SONAME}.0.0
                                 COMPATIBILITY SameMajorVersion)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/re2Config.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/re2ConfigVersion.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/re2)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/re2.pc.in
               ${CMAKE_CURRENT_BINARY_DIR}/re2.pc
               @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/re2.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== absl/utility/CMakeLists.txt ===
#
# Copyright 2017 The Abseil Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

absl_cc_library(
  NAME
    utility
  HDRS
    "utility.h"
  COPTS
    ${ABSL_DEFAULT_COPTS}
  DEPS
    absl::base_internal
    absl::config
    absl::type_traits
  PUBLIC
)

absl_cc_test(
  NAME
    utility_test
  SRCS
    "utility_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::utility
    absl::core_headers
    absl::memory
    absl::strings
    GTest::gmock_main
)

absl_cc_library(
  NAME
    if_constexpr
  HDRS
    "internal/if_constexpr.h"
  COPTS
    ${ABSL_DEFAULT_COPTS}
  DEPS
    absl::config
  PUBLIC
)

absl_cc_test(
  NAME
    if_constexpr_test
  SRCS
    "internal/if_constexpr_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::if_constexpr
    GTest::gmock_main
)

## ruby-re2 0.6.0

=== debian/changelog ===
ruby-re2 (0.6.0-1) unstable; urgency=medium

  * New upstream version: fix FTBFS (Closes: #748118)
  * Upload to unstable
  * Bump copyright years

 -- David Suárez <david.sephirot@gmail.com>  Wed, 04 Jun 2014 20:12:06 +0200

ruby-re2 (0.5.0-1) experimental; urgency=medium

  * Initial release (Closes: #735672)

 -- David Suárez <david.sephirot@gmail.com>  Sun, 26 Jan 2014 17:08:13 +0100

=== debian/control ===
Source: ruby-re2
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: David Suárez <david.sephirot@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               gem2deb (>= 0.6.1~),
               libre2-dev,
               ruby-minitest
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-re2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-re2.git;a=summary
Homepage: http://github.com/mudge/re2
XS-Ruby-Versions: all

Package: ruby-re2
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}
Description: Ruby bindings to re2
 Ruby bindings to re2, "an efficient, principled regular expression library".
 .
 RE2 is a fast, safe, thread-friendly alternative to backtracking regular
 expression engines like those used in PCRE, Perl, and Python.

## ruby-re2 0.7.0

=== debian/changelog ===
ruby-re2 (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Build with --std=c++11. RE2 now requires this. (Closes: #820349)
  * Bump Standards-Version to 3.9.8, no changes needed.

  [ Cédric Boutillier ]
  * Switch VCS fields to use https.
  * Bump compat level to 9.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 May 2016 20:03:48 +0200

ruby-re2 (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh packaging:
    + Bump Standards-Version to 3.9.6
    + Update Vcs-Browser to use cgit
    + Add Testsuite field
    + Use rake-based test runner

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 06 May 2015 21:39:05 +0200

=== debian/control ===
Source: ruby-re2
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: David Suárez <david.sephirot@gmail.com>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               libre2-dev,
               rake,
               ruby-minitest
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-re2.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-re2.git
Homepage: http://github.com/mudge/re2
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-re2
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby bindings to re2
 Ruby bindings to re2, "an efficient, principled regular expression library".
 .
 RE2 is a fast, safe, thread-friendly alternative to backtracking regular
 expression engines like those used in PCRE, Perl, and Python.

## ruby-re2 1.1.1

=== debian/changelog ===
ruby-re2 (1.1.1-2) unstable; urgency=medium

  * Team upload
  * Reupload to unstable
  * Bump standards version to 4.1.3

 -- Pirate Praveen <praveen@debian.org>  Wed, 21 Feb 2018 20:00:45 +0530

ruby-re2 (1.1.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Bump standards version to 4.0.0
  * Drop patch: c++11 (applied upstream)
  * Add patch: require-spec-helper.patch (fix tests)

 -- Pirate Praveen <praveen@debian.org>  Sat, 19 Aug 2017 11:04:33 +0530

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/re2 .*/re2-(.*).tar.gz

## ruby-re2 1.2.0

=== debian/changelog ===
ruby-re2 (1.2.0-1build5) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 15:57:39 -0300

ruby-re2 (1.2.0-1build4) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 17 Nov 2021 19:00:34 -0300

ruby-re2 (1.2.0-1build3) hirsute; urgency=medium

  * No-change rebuild for libre2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Dec 2020 16:47:35 +0100

ruby-re2 (1.2.0-1build2) groovy; urgency=medium

  * No-change rebuild against libre2-8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Jul 2020 17:56:23 +0000

ruby-re2 (1.2.0-1build1) groovy; urgency=medium

  * No-change rebuild against libre2-7

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 21 May 2020 23:28:02 -0700

ruby-re2 (1.2.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream release.
  * Bump copyright years.
  * Bump debhelper compat to 12.
  * Declare Rules-Requires-Root: no.
  * Update VCS URLs to salsa.debian.org.
  * Use https URLs in package metadata.
  * Bump Standards-Version to 4.5.0, no changes needed.

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

 -- Stefano Rivera <stefanor@debian.org>  Mon, 11 May 2020 16:26:18 -0700

=== debian/control ===
Source: ruby-re2
Section: ruby
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: David Suárez <david.sephirot@gmail.com>
Build-Depends: debhelper-compat (=12),
               gem2deb,
               libre2-dev,
               rake,
               ruby-rspec
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-re2.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-re2
Homepage: https://github.com/mudge/re2
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-re2
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby bindings to re2
 Ruby bindings to re2, "an efficient, principled regular expression library".
 .
 RE2 is a fast, safe, thread-friendly alternative to backtracking regular
 expression engines like those used in PCRE, Perl, and Python.

=== debian/watch ===
version=3
https://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/re2 .*/re2-(.*).tar.gz

## ruby-re2 1.4.0

=== debian/changelog ===
ruby-re2 (1.4.0-1) unstable; urgency=medium

  * Team Upload

  [ Sruthi Chandran ]
  * Update minimum version of gem2deb to 1.0

  [ Cédric Boutillier ]
  * Update team name
  * Add .gitattributes to keep unwanted files out of the source package

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Pirate Praveen ]
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * New upstream version 1.4.0

 -- Pirate Praveen <praveen@debian.org>  Sat, 30 Jul 2022 12:41:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: ruby-re2
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: David Suárez <david.sephirot@gmail.com>
-Build-Depends: debhelper-compat (=12),
-               gem2deb,
+Build-Depends: debhelper-compat (= 13),
+               gem2deb (>= 1.0~),
                libre2-dev,
                rake,
                ruby-rspec
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-re2.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-re2
 Homepage: https://github.com/mudge/re2

## ruby-re2 1.6.0

=== debian/changelog ===
ruby-re2 (1.6.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.6.0

 -- Vinay Keshava <vinaykeshava@disroot.org>  Sun, 20 Nov 2022 23:48:02 +0530

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Package: ruby-re2
 Architecture: any
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter,
+Depends: ${ruby:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Ruby bindings to re2

=== debian/watch ===
version=4
https://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/re2 .*/re2-(.*).tar.gz

## ruby-re2 1.7.0

=== debian/changelog ===
ruby-re2 (1.7.0-1) unstable; urgency=medium

  * Team Upload. 

  [ Debian Janitor ]
  * Apply multi-arch hints. + ruby-re2: Add Multi-Arch: same.

  [ Mohammed Bilal ]
  * New upstream version 1.7.0
  * Drop X*-Ruby-Versions fields
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Mohammed Bilal <rmb@debian.org>  Fri, 27 Oct 2023 17:08:31 +0530

=== debian/control ===
--- 
+++ 
@@ -8,20 +8,19 @@
                libre2-dev,
                rake,
                ruby-rspec
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-re2.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-re2
 Homepage: https://github.com/mudge/re2
 Testsuite: autopkgtest-pkg-ruby
-XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
 Package: ruby-re2
 Architecture: any
-XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${ruby:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Multi-Arch: same
 Description: Ruby bindings to re2
  Ruby bindings to re2, "an efficient, principled regular expression library".
  .

## ruby-re2 2.7.0

=== debian/changelog ===
ruby-re2 (2.7.0-3) unstable; urgency=medium

  * Add patch to make build reproducible
  * debian/clean: cleanup build directory
  * debian/gbp.conf: add config for trixie branch

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 22 Apr 2025 20:29:10 -0300

ruby-re2 (2.7.0-2) unstable; urgency=medium

  * Team upload.
  * d/p/link-libatomic.patch: optionally use libatomic
  * d/rules: link libatomic in armel builds

 -- Athos Ribeiro <athoscribeiro@gmail.com>  Fri, 03 May 2024 00:17:35 -0300

ruby-re2 (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Pirate Praveen <praveen@debian.org>  Mon, 22 Jan 2024 18:05:25 +0530

ruby-re2 (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sat, 30 Dec 2023 13:42:50 +0530

ruby-re2 (2.5.0-1) experimental; urgency=medium

  * Team Upload.
  * New upstream version 2.5.0
  * Move debian/watch to gemwatch.debian.net
  * Refresh patches
  * Add build dependency on ruby-mini-portile2, cmake and pkg-config

 -- Pirate Praveen <praveen@debian.org>  Sat, 16 Dec 2023 16:25:12 +0530

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,11 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/architecture.mk
+
+ifneq (,$(filter $(DEB_BUILD_ARCH),armel))
+export X_DEB_LINK_ATOMIC=1
+endif
 
 export GEM2DEB_TEST_RUNNER = --check-dependencies

## ruby-re2 2.23.0

=== debian/changelog ===
ruby-re2 (2.23.0-1) unstable; urgency=medium

  * Team upload.

  [ Pirate Praveen ]
  * Team upload.
  * New upstream version 2.14.0
  * Bump Standards-Version to 4.7.0 (no changes needed)
  * Refresh patches
  * Update minimum version of ruby-mini-portile2 to 2.8.7~

  [ Lucas Nussbaum ]
  * debian/gbp.conf: Add for DEP-14
  * debian/.gitattributes: remove
  * debian/salsa-ci.yml: use team-specific include

  [ Simon Quigley ]
  * Upgrade watch file to version 5.
  * New upstream release.
  * Update Standards-Version to 4.7.3.
  * pkg-config -> pkgconf.
  * Drop Rules-Requires-Root field, it is now redundant.
  * Bump build dependency on ruby-mini-portile2 to 2.8.9.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 23 Feb 2026 14:18:27 -0600

=== debian/control ===
Source: ruby-re2
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: David Suárez <david.sephirot@gmail.com>
Section: ruby
Testsuite: autopkgtest-pkg-ruby
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               libre2-dev,
               rake,
               ruby-rspec,
               ruby-mini-portile2 (>= 2.8.9~),
               cmake,
               pkgconf
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-re2
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-re2.git
Homepage: https://github.com/mudge/re2

Package: ruby-re2
Architecture: any
Multi-Arch: same
Depends: ${ruby:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby bindings to re2
 Ruby bindings to re2, "an efficient, principled regular expression library".
 .
 RE2 is a fast, safe, thread-friendly alternative to backtracking regular
 expression engines like those used in PCRE, Perl, and Python.

=== debian/watch ===
Version: 5
Source: https://gemwatch.debian.net/re2
Matching-Pattern: .*/re2-(.*).tar.gz
